FROM openshift/golang-builder:1.13 AS builder
ENV __doozer=update BUILD_RELEASE=202009251220.p0 BUILD_VERSION=v4.5.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=5 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.5.0-202009251220.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=3168983 OS_GIT_VERSION=4.5.0-202009251220.p0-3168983 SOURCE_DATE_EPOCH=1601032364 SOURCE_GIT_COMMIT=316898360e5854b7b5884690c9e6e1aba1604ce0 SOURCE_GIT_TAG=31689836 SOURCE_GIT_URL=https://github.com/openshift/cluster-kube-descheduler-operator 
WORKDIR /go/src/github.com/openshift/cluster-kube-descheduler-operator
COPY . .
RUN go build -o cluster-kube-descheduler-operator ./cmd/cluster-kube-descheduler-operator

FROM openshift/ose-base:v4.5.0-202009161248.p0
ENV __doozer=update BUILD_RELEASE=202009251220.p0 BUILD_VERSION=v4.5.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=5 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.5.0-202009251220.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=3168983 OS_GIT_VERSION=4.5.0-202009251220.p0-3168983 SOURCE_DATE_EPOCH=1601032364 SOURCE_GIT_COMMIT=316898360e5854b7b5884690c9e6e1aba1604ce0 SOURCE_GIT_TAG=31689836 SOURCE_GIT_URL=https://github.com/openshift/cluster-kube-descheduler-operator 
COPY --from=builder /go/src/github.com/openshift/cluster-kube-descheduler-operator/cluster-kube-descheduler-operator /usr/bin/
COPY --from=builder /go/src/github.com/openshift/cluster-kube-descheduler-operator/manifests /manifests
COPY --from=builder /go/src/github.com/openshift/cluster-kube-descheduler-operator/metadata /metadata

LABEL \
        io.k8s.display-name="OpenShift Descheduler Operator" \
        io.k8s.description="This is a component of OpenShift and manages the descheduler" \
        io.openshift.tags="openshift,cluster-kube-descheduler-operator" \
        com.redhat.delivery.appregistry="false" \
        maintainer="AOS workloads team, <aos-workloads@redhat.com>" \
        name="openshift/ose-cluster-kube-descheduler-operator" \
        com.redhat.component="ose-cluster-kube-descheduler-operator-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        release="202009251220.p0" \
        io.openshift.build.commit.id="316898360e5854b7b5884690c9e6e1aba1604ce0" \
        io.openshift.build.source-location="https://github.com/openshift/cluster-kube-descheduler-operator" \
        io.openshift.build.commit.url="https://github.com/openshift/cluster-kube-descheduler-operator/commit/316898360e5854b7b5884690c9e6e1aba1604ce0" \
        version="v4.5.0"

